Subject: Re: [ntpwg] question regarding RFC 5907

From: "Ulrich Windl" <[email-masked]>
Date: Wed, 25 Aug 2010 08:33:03 +0200

Note: The original reply had a typo in the CC:, so the list did not get it)
>>> Ulrich Windl schrieb am 25.08.2010 um 08:24 in Nachricht
<[email-masked]>:
> >>> Yaakov Stein <[email-masked]> schrieb am 24.08.2010 um 17:16 in Nachricht
> <[email-masked]>:
> > NTP experts, 
> > 
> > The NTPv4 MIB RFC starts with the following sentence
> >    The NTPv4 MIB module is designed to allow Simple Network Management
> >    Protocol (SNMP) to be used to monitor and manage local NTP [RFC5905]
> >    entities.
> > 
> > While I see the monitoring elements, I do not see the management (i.e. 
> > configuration) ones.
> > 
> > In particular, RFC 5905's global parameters are all in #defines in the 
> > Appendix,
> > rather than being configurable via the MIB.
> > 
> > For example, I would like to be able to change MINPOLL or MINDISP
> > from a management entity instead of having to recompile.
> > I am obviously not the only one who sees an advantage to changing these 
> > as in Figure 6 MINPOLL defaults to 16 seconds and MINDISP to 0.01
> > while in the code MINPOLL is set to 64 seconds and MINDISP to 0.01.
> > 
> > ooops!!
> > 
> > 
> > Can someone explain the design considerations that led to leaving these out 
> > of the 5907 MIB ?
> 
> Hi!
> 
> From what I've heard, the MIB is just a paper tiger, meaning: It's not 
> implemented yet. I had some private discussion that an implementation should 
> preceed an RFC. From another private discussion, I doubt that the SNMP 
> interface if based on the current mode 6 responses of ntpd (the way it's 
> intended to be implemented) will ever be reliable.
> You cannot build a great framework on top of a poor base. IMHO the current 
> (actually the very old) format of mode 6 responses are designed for humans to 
> read and understand, but are quite bad for computer programs to parse (I have 
> written several parsers for the output, so I know what I'm talking about).
> Everybody is invited to convince me of the opposite.
> 
> Regards,
> Ulrich
> 
> 

_______________________________________________
ntpwg mailing list
[email-masked]
http://lists.ntp.org/listinfo/ntpwg